/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.wahl.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.wahl.entity.WahlterminConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(WahlterminMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class WahlterminMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "wahlterminMeta";

  @Inject
  private transient Messages messages;

  public WahlterminMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getBuergerZugelassenEinzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_BUERGER_ZUGELASSEN_EINZAHL;
  }

  public String getBuergerZugelassenMehrzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_BUERGER_ZUGELASSEN_MEHRZAHL;
  }


  public String getBuergerZugelassenEinzahlMessage(){
    return getMessage(getBuergerZugelassenEinzahlMessageKey());
  }

  public String getBuergerZugelassenMehrzahlMessage(){
    return getMessage(getBuergerZugelassenMehrzahlMessageKey());
  }



  public boolean isBuergerZugelassenRequired() {
    return !WahlterminConstants.BUERGER_ZUGELASSEN_NULLABLE;
  }

  public de.ivu.elect.business.personenpruefung.control.wahlrecht.WahlrechtStaatsangehoerigkeit getBuergerZugelassenDefaultValue() {
    return WahlterminConstants.BUERGER_ZUGELASSEN_DEFAULT_VALUE;
  }


  public String getDokumentvorlagenEinzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_DOKUMENTVORLAGEN_EINZAHL;
  }

  public String getDokumentvorlagenMehrzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_DOKUMENTVORLAGEN_MEHRZAHL;
  }


  public String getDokumentvorlagenEinzahlMessage(){
    return getMessage(getDokumentvorlagenEinzahlMessageKey());
  }

  public String getDokumentvorlagenMehrzahlMessage(){
    return getMessage(getDokumentvorlagenMehrzahlMessageKey());
  }



  public boolean isDokumentvorlagenRequired() {
    return !WahlterminConstants.DOKUMENTVORLAGEN_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.WahlartDokumentvorlagen getDokumentvorlagenDefaultValue() {
    return WahlterminConstants.DOKUMENTVORLAGEN_DEFAULT_VALUE;
  }


  public String getFarbeEinzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_FARBE_EINZAHL;
  }

  public String getFarbeMehrzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_FARBE_MEHRZAHL;
  }


  public String getFarbeEinzahlMessage(){
    return getMessage(getFarbeEinzahlMessageKey());
  }

  public String getFarbeMehrzahlMessage(){
    return getMessage(getFarbeMehrzahlMessageKey());
  }



  public boolean isFarbeRequired() {
    return !WahlterminConstants.FARBE_NULLABLE;
  }

  public java.lang.String getFarbeDefaultValue() {
    return WahlterminConstants.FARBE_DEFAULT_VALUE;
  }

  public int getFarbeMaxLength() {
    return WahlterminConstants.FARBE_MAX_LENGTH;
  }

  public String getNameEinzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_NAME_EINZAHL;
  }

  public String getNameMehrzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_NAME_MEHRZAHL;
  }


  public String getNameEinzahlMessage(){
    return getMessage(getNameEinzahlMessageKey());
  }

  public String getNameMehrzahlMessage(){
    return getMessage(getNameMehrzahlMessageKey());
  }



  public boolean isNameRequired() {
    return !WahlterminConstants.NAME_NULLABLE;
  }

  public java.lang.String getNameDefaultValue() {
    return WahlterminConstants.NAME_DEFAULT_VALUE;
  }

  public int getNameMaxLength() {
    return WahlterminConstants.NAME_MAX_LENGTH;
  }

  public String getNummerEinzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_NUMMER_EINZAHL;
  }

  public String getNummerMehrzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_NUMMER_MEHRZAHL;
  }


  public String getNummerEinzahlMessage(){
    return getMessage(getNummerEinzahlMessageKey());
  }

  public String getNummerMehrzahlMessage(){
    return getMessage(getNummerMehrzahlMessageKey());
  }



  public boolean isNummerRequired() {
    return !WahlterminConstants.NUMMER_NULLABLE;
  }

  public java.lang.String getNummerDefaultValue() {
    return WahlterminConstants.NUMMER_DEFAULT_VALUE;
  }

  public int getNummerMaxLength() {
    return WahlterminConstants.NUMMER_MAX_LENGTH;
  }

  public String getStatusEinzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_STATUS_EINZAHL;
  }

  public String getStatusMehrzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_STATUS_MEHRZAHL;
  }


  public String getStatusEinzahlMessage(){
    return getMessage(getStatusEinzahlMessageKey());
  }

  public String getStatusMehrzahlMessage(){
    return getMessage(getStatusMehrzahlMessageKey());
  }



  public boolean isStatusRequired() {
    return !WahlterminConstants.STATUS_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.WahlterminStatus getStatusDefaultValue() {
    return WahlterminConstants.STATUS_DEFAULT_VALUE;
  }


  public String getStichwahlMoeglichEinzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_STICHWAHL_MOEGLICH_EINZAHL;
  }

  public String getStichwahlMoeglichMehrzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_STICHWAHL_MOEGLICH_MEHRZAHL;
  }


  public String getStichwahlMoeglichEinzahlMessage(){
    return getMessage(getStichwahlMoeglichEinzahlMessageKey());
  }

  public String getStichwahlMoeglichMehrzahlMessage(){
    return getMessage(getStichwahlMoeglichMehrzahlMessageKey());
  }



  public boolean isStichwahlMoeglichRequired() {
    return !WahlterminConstants.STICHWAHL_MOEGLICH_NULLABLE;
  }

  public java.lang.Boolean getStichwahlMoeglichDefaultValue() {
    return WahlterminConstants.STICHWAHL_MOEGLICH_DEFAULT_VALUE;
  }


  public String getStichwahlWahldatumEinzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_STICHWAHL_TERMIN_EINZAHL;
  }

  public String getStichwahlWahldatumMehrzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_STICHWAHL_TERMIN_MEHRZAHL;
  }


  public String getStichwahlWahldatumEinzahlMessage(){
    return getMessage(getStichwahlWahldatumEinzahlMessageKey());
  }

  public String getStichwahlWahldatumMehrzahlMessage(){
    return getMessage(getStichwahlWahldatumMehrzahlMessageKey());
  }



  public boolean isStichwahlWahldatumRequired() {
    return !WahlterminConstants.STICHWAHL_TERMIN_NULLABLE;
  }

  public java.util.Date getStichwahlWahldatumDefaultValue() {
    return WahlterminConstants.STICHWAHL_TERMIN_DEFAULT_VALUE;
  }


  public String getWahldatumEinzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_WAHLDATUM_EINZAHL;
  }

  public String getWahldatumMehrzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_WAHLDATUM_MEHRZAHL;
  }


  public String getWahldatumEinzahlMessage(){
    return getMessage(getWahldatumEinzahlMessageKey());
  }

  public String getWahldatumMehrzahlMessage(){
    return getMessage(getWahldatumMehrzahlMessageKey());
  }



  public boolean isWahldatumRequired() {
    return !WahlterminConstants.WAHLDATUM_NULLABLE;
  }

  public java.util.Date getWahldatumDefaultValue() {
    return WahlterminConstants.WAHLDATUM_DEFAULT_VALUE;
  }



  public String getCustomDataStorageEinzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_CUSTOM_DATA_STORAGE_ID_EINZAHL;
  }

  public String getCustomDataStorageEinzahlMessage(){
    return getMessage(getCustomDataStorageEinzahlMessageKey());
  }

  public boolean isCustomDataStorageRequired() {
    return !WahlterminConstants.CUSTOM_DATA_STORAGE_ID_NULLABLE;
  }


  public String getEinsehenRolleEinzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_EINSEHEN_ID_EINZAHL;
  }

  public String getEinsehenRolleEinzahlMessage(){
    return getMessage(getEinsehenRolleEinzahlMessageKey());
  }

  public boolean isEinsehenRolleRequired() {
    return !WahlterminConstants.EINSEHEN_ID_NULLABLE;
  }


  public String getMandantEinzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_MANDANT_ID_EINZAHL;
  }

  public String getMandantEinzahlMessage(){
    return getMessage(getMandantEinzahlMessageKey());
  }

  public boolean isMandantRequired() {
    return !WahlterminConstants.MANDANT_ID_NULLABLE;
  }


  public String getStichwahlWahlterminUrspruenglichEinzahlMessageKey(){
    return WahlterminConstants.MESSAGE_KEY_WAHLTERMIN_URSPRUENGLICH_ID_EINZAHL;
  }

  public String getStichwahlWahlterminUrspruenglichEinzahlMessage(){
    return getMessage(getStichwahlWahlterminUrspruenglichEinzahlMessageKey());
  }

  public boolean isStichwahlWahlterminUrspruenglichRequired() {
    return !WahlterminConstants.WAHLTERMIN_URSPRUENGLICH_ID_NULLABLE;
  }

}